# Configure paths for examplelib
# Erik Andersen	30 May 1998
# Modified by Tero Pulkkinen (added the compiler checks... I hope they work..)
# Modified by Thomas Langen 16 Jan 2000 (corrected CXXFLAGS)
# Adapted to the gtkextra-- library by Cedric Gustin 11 Feb 2000
# Modified by Murray Cumming for examplelib example library.

dnl Test for EXAMPLELIB, and define EXAMPLELIB_CFLAGS and EXAMPLELIB_LIBS
dnl   to be used as follows:
dnl AM_PATH_EXAMPLELIB([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
dnl
AC_DEFUN(AM_PATH_EXAMPLELIB,
[dnl 
dnl Get the cflags and libraries from the examplelib-config script
dnl
AC_ARG_WITH(EXAMPLELIB-prefix,[  --with-examplelib-prefix=PREFIX
                          Prefix where examplelib is installed (optional)],
            examplelib_config_prefix="$withval", examplelib_config_prefix="")
AC_ARG_WITH(examplelib-exec-prefix,[  --with-examplelib-exec-prefix=PREFIX
                          Exec prefix where examplelib is installed (optional)],
            examplelib_config_exec_prefix="$withval", examplelib_config_exec_prefix="")
AC_ARG_ENABLE(examplelibtest, [  --disable-examplelibtest     Do not try to compile and run a test examplelib program],
		    , enable_examplelibtest=yes)

  if test x$examplelib_config_exec_prefix != x ; then
     examplelib_config_args="$examplelib_config_args --exec-prefix=$examplelib_config_exec_prefix"
     if test x${EXAMPLELIB_CONFIG+set} != xset ; then
        EXAMPLELIB_CONFIG=$examplelib_config_exec_prefix/bin/examplelib-config
     fi
  fi
  if test x$examplelib_config_prefix != x ; then
     examplelib_config_args="$examplelib_config_args --prefix=$examplelib_config_prefix"
     if test x${EXAMPLELIB_CONFIG+set} != xset ; then
        EXAMPLELIB_CONFIG=$examplelib_config_prefix/bin/examplelib-config
     fi
  fi

  AC_PATH_PROG(EXAMPLELIB_CONFIG, examplelib-config, no)
  min_examplelib_version=ifelse([$1], ,0.1.1,$1)

  AC_MSG_CHECKING(for examplelib - version >= $min_examplelib_version)
  no_examplelib=""
  if test "$EXAMPLELIB_CONFIG" = "no" ; then
    no_examplelib=yes
  else
    AC_LANG_SAVE
    AC_LANG_CPLUSPLUS

    EXAMPLELIB_CFLAGS=`$EXAMPLELIB_CONFIG $examplelib_config_args --cflags`
    EXAMPLELIB_LIBS=`$EXAMPLELIB_CONFIG $examplelib_config_args --libs`
    examplelib_config_major_version=`$EXAMPLELIB_CONFIG $examplelib_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    examplelib_config_minor_version=`$EXAMPLELIB_CONFIG $examplelib_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    examplelib_config_micro_version=`$EXAMPLELIB_CONFIG $examplelib_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
  fi
  AC_SUBST(EXAMPLELIB_CFLAGS)
  AC_SUBST(EXAMPLELIB_LIBS)
])

